
Redmine - Patch #10178

Allow silent user account creation for issues submitted by email

2012-02-08 17:04 - Michal Slazak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

We are using Redmine to create issues submitted by email. We wish to provide users with updates on the issues they have created,

however we don't want to grant them access to Redmine. That's why we want to create user accounts silently without sending

account information back - similarly to what unchecking "Send account information to the user" checkbox in account creation page

does (screenshot attached).

We have created a new option for 'unknown_user' setting in email.rake task - 'create_silent' - and added handling of that option in

mail_handler.rb.

It would be great if this could be included in Redmine trunk.

Patch file is attached.

Related issues:

Related to Redmine - Patch #11500: Add --unknown-user=register to create inac... New

Related to Redmine - Feature #11498: Add --no-account-notice option for the m... Closed

Related to Redmine - Feature #8497: Email response/updates to external client... New 2011-06-02

History

#1 - 2012-02-08 23:50 - Terence Mill

+1  very useful!

#2 - 2013-02-26 03:38 - Arnis Juraga

This works great for me!!!

+1

#3 - 2013-03-03 09:43 - Jean-Philippe Lang

- Status changed from New to Closed

I'm closing it in favour of #11498 which is added for 2.3.0.
